Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Policy

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Policy

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TiePolicy

public class Policy
extends TieSystemObject

A Policy provides a mechanism for performing specific actions relevant to a particular ClassObject.

Field Summary
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `IMPLEMENTATIONENUM_ATTRIBUTE` An enumerated key used to identify this Policy.
`static java.lang.String` | `IMPLEMENTATIONNAME_ATTRIBUTE` The name of the method or class where the Policy is implemented.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Policy.
`static java.lang.String` | `OPERATION_ATTRIBUTE` The operation with which this Policy is associated.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`int` | `getImplementationEnum()` Gets the implementation enumeration value in effect for the associated operation.
`java.lang.String` | `getImplementationName()` Gets the implementation name that is called when this Policy is in effect for the associated operation.
`java.lang.String` | `getOperation()` Gets the operation name that this Policy affects.
`void` | `setImplementationEnum(int implementation)` Sets the implementation enumeration value when this Policy is in effect for the associated operation.
`void` | `setImplementationName(java.lang.String implementation)` Sets the implementation name when this Policy is in effect for the associated operation.
`void` | `setOperation(java.lang.String operation)` Sets the operation name that this Policy affects.

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Name of this class.

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The name of the Policy.

### OPERATION_ATTRIBUTE

    public static final java.lang.String OPERATION_ATTRIBUTE

  The operation with which this Policy is associated.

### IMPLEMENTATIONNAME_ATTRIBUTE

    public static final java.lang.String IMPLEMENTATIONNAME_ATTRIBUTE

  The name of the method or class where the Policy is implemented.

### IMPLEMENTATIONENUM_ATTRIBUTE

    public static final java.lang.String IMPLEMENTATIONENUM_ATTRIBUTE

  An enumerated key used to identify this Policy.

Method Detail

### getOperation

    public java.lang.String getOperation()
                                  throws IfsException

  Gets the operation name that this Policy affects.
  Returns:
    operation name
  Throws:
    `IfsException` - if the operation fails

### setOperation

    public final void setOperation(java.lang.String operation)
                            throws IfsException

  Sets the operation name that this Policy affects.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(description);
       setAttribute(OPERATION_ATTRIBUTE, av);

  Parameters:
    `operation` - the operation name
  Throws:
    `IfsException` - if the operation fails

### getImplementationName

    public java.lang.String getImplementationName()
                                           throws IfsException

  Gets the implementation name that is called when this Policy is in effect for the associated operation.
  Returns:
    implementation name
  Throws:
    `IfsException` - if the operation fails

### setImplementationName

    public final void setImplementationName(java.lang.String implementation)
                                     throws IfsException

  Sets the implementation name when this Policy is in effect for the associated operation.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(implementation);
       setAttribute(IMPLEMENTATIONNAME_ATTRIBUTE, av);

  Parameters:
    `implementation` - the implementation name
  Throws:
    `IfsException` - if the operation fails

### getImplementationEnum

    public int getImplementationEnum()
                              throws IfsException

  Gets the implementation enumeration value in effect for the associated operation.
  Returns:
    implementation enum value. Returns 0 if no value is specified.
  Throws:
    `IfsException` - if the operation fails

### setImplementationEnum

    public void setImplementationEnum(int implementation)
                               throws IfsException

  Sets the implementation enumeration value when this Policy is in effect for the associated operation.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(implementation);
       setAttribute(IMPLEMENTATIONENUM_ATTRIBUTE, av);

  Parameters:
    `implementation` - the implementation enum
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD